UbuntuUpdates.org

Package "nfs-utils"


Moved to focal:main:updates


Name: nfs-utils

Description:

This package is just an umbrella for a group of other packages, it has no description.
Description samples from packages in group:

  • NFS support files common to client and server
  • support for NFS kernel server

Latest version: *DELETED*
Release: focal (20.04)
Level: proposed
Repository: main

Links



Other versions of "nfs-utils" in Focal

Repository Area Version
base main 1:1.3.4-2.5ubuntu3
security main 1:1.3.4-2.5ubuntu3.3
updates main 1:1.3.4-2.5ubuntu3.6

Packages in group

Deleted packages are displayed in grey.


Changelog

Version: *DELETED* 2024-03-06 22:06:56 UTC
Moved to focal:main:updates
No changelog for deleted or moved packages.

Version: 1:1.3.4-2.5ubuntu3.6 2024-02-23 17:06:53 UTC

  nfs-utils (1:1.3.4-2.5ubuntu3.6) focal; urgency=medium

  * Fix default protocol version negotiation when NFSv4 is specified
    on the command line with '-t nfs4' or '-o vers=4', such that it
    actually follows the previously agreed-upon laddering approach,
    of trying 4.2, then 4.1, then 4.0 before raising an error.
    These patches also fix an issue where asking for a v4 mount could
    result in a v3 mount if the namespace was available in v3, but
    not in v4, such as with fsid=0. (LP: #2049262)
    - d/p/lp-2049262-1-mount.nfs-improve-version-negotiation-when-vers-4-i.patch
    - d/p/lp-2049262-2-mount.nfs-Use-default-minor-version-when-t-nfs4-is.patch
    - d/p/lp-2049262-3-mount.nfs-Use-default-minor-version-when-o-v4-is-sp.patch

 -- Matthew Ruffell <email address hidden> Thu, 18 Jan 2024 22:29:59 +1300

2049262 mount.nfs: fix version negotiation laddering with parameters '-t nfs4' or '-o vers=4'

Version: *DELETED* 2023-08-31 23:08:54 UTC
Moved to focal:main:updates
No changelog for deleted or moved packages.

Version: 1:1.3.4-2.5ubuntu3.5 2023-08-18 08:06:54 UTC

  nfs-utils (1:1.3.4-2.5ubuntu3.5) focal; urgency=medium

  * Fix sloppy argument processing with the '-s' and '-o' command line
    options to ensure options are passed to the kernel at the very
    beginning of the list. This fixes compatibility with the 5.15
    HWE kernel. (LP: #2025302)
    - d/p/lp-2025302-1-mount.nfs-insert-sloppy-at-beginning-of-the-options.patch
    - d/p/lp-2025302-2-mount.nfs-Fix-the-sloppy-option-processing.patch

 -- Matthew Ruffell <email address hidden> Thu, 29 Jun 2023 14:29:20 +1200

2025302 mount.nfs: sloppy options processing is broken on 5.15 HWE kernel

Version: *DELETED* 2021-07-01 11:06:31 UTC
Moved to focal:main:updates
No changelog for deleted or moved packages.



About   -   Send Feedback to @ubuntu_updates